import type { BusinessOptions, RequestResult } from "./types";
/** 获取错误信息 */
export declare const resolveErrorMsg: (error: any) => string;
/** 分发业务结果 */
export declare const dispatchBusinessResult: <R, D = any>(res: R, { getBusinessCode, getBusinessMsg, getBusinessData, businessSuccessCodeList, isSuccessBusinessCode, }: BusinessOptions<R>, debug?: boolean) => Promise<RequestResult<D>>;
export type DispatchBusinessResult = typeof dispatchBusinessResult;
/** 确保同步函数不报错 */
export declare const ensureSyncFnNotError: <F extends (...args: any[]) => any>(fn: F, errorDefaultValue: ReturnType<F>) => F;
/** 确保异步函数不报错 */
export declare const ensureAsyncFnNotError: <F extends (...args: any[]) => Promise<any>>(fn: F, errorDefaultValue: ReturnType<F>) => F;
/** 回调请求转Promise */
export declare const callback2Promise: <S, E, PS = S>(fn: (data: {
    success: (res: PS) => void;
    fail: (res: E) => void;
}) => unknown) => Promise<S>;
